function init(hero) {
    hero.setName("Omni-Man");
    hero.setVersion("\u00A7e\u00A7lInvincible\u00A7r");
    hero.setTier(8);
    
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("ahhp:viltrumite");
    hero.addAttribute("PUNCH_DAMAGE", 10.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", -2.0, 0);
    hero.addAttribute("KNOCKBACK", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 40.0, 1);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);
    
    hero.addKeyBind("SUPER_SPEED", "Speed Up", 1);
    hero.addKeyBind("SLOW_MOTION", "Slow Down", 2);
    hero.addKeyBind("GROUND_SMASH", "Omni Smash", 3);

    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setHasProperty(hasProperty);

    hero.addSoundEvent("MASK_OPEN", "ahhp:think_mark");
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE" || property == "MASK_TOGGLE";
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return !entity.getData("fiskheroes:glide_flying");
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
        case "GROUND_SMASH":
            return (!entity.getData("fiskheroes:glide_flying"));
        default:
            return true;
    }
}